Subject: bug#31371: 26.1; Menu-bar stops working after search

From: Nick Helm <[email-masked]>
Date: Tue, 08 May 2018 17:24:04 +1200

On Mon, 07 May 2018 at 14:48:16 +1200, Nick Helm wrote:

> here's a theory: the problem happens because mainMenu is trying to
> simultaneously be part NSMenu (Help's spotlight search field and the
> context help topics) and part EmacsMenu (Help's standard Lisp menu
> items).

On second glance, I don't think this is quite right, at least it's not
the whole story.

Other apps seem to have a related problem. Open Terminal for example,
click on Help, mouse down and click in the Terminal window, then try to
type a command. It doesn't work, I just get system beeps. TextEdit is
the same.

It's like the Help memu isn't returning focus correctly. Maybe it's a
bug in macOS making this show up?